Name:           python-sedcreator
Version:        0.9.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        sedcreator is a package that has two main classes, SedFluxer and SedFitter. SedFluxer performs aperture photometry on a given image, coordinates and aperture size. It has a number of functions to print useful information and to plot the image together with apertures. SedFitter fits observations to a grid of models following the Zhang and Tan (2018) radiative transfer models.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/fedriani/sedcreator
Source:         %{pypi_source sedcreator}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sedcreator' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sedcreator
Summary:        %{summary}

%description -n python3-sedcreator %_description


%prep
%autosetup -p1 -n sedcreator-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sedcreator -f %{pyproject_files}


%changelog
%autochangelog